    PROGRAM f01abfe

!      F01ABF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : f01abf, nag_wp, x04caf
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       INTEGER                         :: i, ifail, lda, ldb, n
!      .. Local Arrays ..
       REAL (KIND=nag_wp), ALLOCATABLE :: a(:,:), b(:,:), z(:)
!      .. Executable Statements ..
       WRITE (nout,*) 'F01ABF Example Program Results'
       WRITE (nout,*)
       FLUSH (nout)
!      Skip heading in data file
       READ (nin,*)
       READ (nin,*) n
       lda = n + 1
       ldb = n
       ALLOCATE (a(lda,n),b(ldb,n),z(n))
       READ (nin,*) (a(i,1:n),i=1,n)

!      ifail: behaviour on error exit   
!             =0 for hard exit, =1 for quiet-soft, =-1 for noisy-soft
       ifail = 0
       CALL f01abf(a,lda,n,b,ldb,z,ifail)

!      Print the result matrix B
       CALL x04caf('L','N',ldb,n,b,ldb,'Lower triangle of inverse',ifail)

    END PROGRAM f01abfe
